//
//  TAMIdGraphManager.h
//  IdGraph
//
//  Created by Charles on 2017/11/9.
//  Copyright © 2017年 Taiwan Mobile. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface TAMIdGraphManager : NSObject

/**
 Set isDegug = true, it will show SDK log
 @param isDebug debug mode flag
 */
+ (void)setDebugMode:(BOOL)isDebug;

/**
 Report device info to TAMedia server

 @param serviceId service ID
 */
+ (void)initTAMIdGraphManagerWithServiceId:(NSString *)serviceId;


/**
 Report device info with custom info to TAMedia server

 @param serviceId service ID
 @param parameter custom parameter
 */
+ (void)initWithServiceId:(NSString *)serviceId customParameter:(NSString *)parameter;


/**
 Report device info with custom info array to TAMedia server
 The maximum of parameter array is 12.
 @param serviceId service ID
 @param parameters custom parameters
 */
+ (void)initWithServiceId:(NSString *)serviceId customParameters:(NSArray *)parameters;

@end
